#pragma once
#include "afxwin.h"


// CDialogBPSet 对话框

class CDialogBPSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogBPSet)

public:
	CDialogBPSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogBPSet();

// 对话框数据
	enum { IDD = IDD_DIALOG_BP_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_ComboBPAlmSw;
	CComboBox m_ComboBPAlmLevel;
	CComboBox m_ComboBPAlmRec;
	CEdit m_EditAlmSBPH;
	CEdit m_EditAlmSBPL;
	CEdit m_EditAlmDBPH;
	CEdit m_EditAlmDBPL;
	CEdit m_EditPress;
	CComboBox m_ComboBPUnit;
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	CString input_SBPAlmH_check(CString & cs);
	CString input_SBPAlmL_check(CString & cs);
	CString input_DBPAlmH_check(CString & cs);
	CString input_DBPAlmL_check(CString & cs);
	CString input_Press_check(CString & cs);
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeComboBpSetAlmSw();
	afx_msg void OnCbnSelchangeComboBpSetAlmLevel();
	afx_msg void OnCbnSelchangeComboBpSetAlmRec();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonBpSetReset();
	afx_msg void OnBnClickedButtonBpSetCal();
	afx_msg void OnBnClickedButtonBpSetLeak();
};
